PhraseWildcardQuery.TermData (Lucene 10.5.0 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.search, class: PhraseWildcardQuery, class: TermData

Package org.apache.lucene.sandbox.search

# Class PhraseWildcardQuery.TermData

java.lang.Object
org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermData

Enclosing class:
  `PhraseWildcardQuery`

protected static class PhraseWildcardQuery.TermData extends Object
Holds the `TermState` for all the collected `Term`, for a specific phrase term, for all segments.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final int`
  `numSegments`
  `protected final List<Term>`
  `terms`
  `protected final PhraseWildcardQuery.TermsData`
  `termsData`
  `protected List<PhraseWildcardQuery.TermBytesTermState>[]`
  `termStatesPerSegment`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TermData(int numSegments, PhraseWildcardQuery.TermsData termsData)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected List<PhraseWildcardQuery.TermBytesTermState>`
  `getTermStatesForSegment(LeafReaderContext leafReaderContext)`
  `protected void`
  `setTermStatesForSegment(LeafReaderContext leafReaderContext, List<PhraseWildcardQuery.TermBytesTermState> termStates)`
  Sets the collected list of `PhraseWildcardQuery.TermBytesTermState` for the given segment.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### numSegments

    protected final int numSegments

  - ### termsData

    protected final PhraseWildcardQuery.TermsData termsData

  - ### termStatesPerSegment

    protected List<PhraseWildcardQuery.TermBytesTermState>[] termStatesPerSegment

  - ### terms

    protected final List<Term> terms

- ## Constructor Details

  - ### TermData

    protected TermData(int numSegments, PhraseWildcardQuery.TermsData termsData)

- ## Method Details

  - ### setTermStatesForSegment

    protected void setTermStatesForSegment(LeafReaderContext leafReaderContext, List<PhraseWildcardQuery.TermBytesTermState> termStates)
    Sets the collected list of `PhraseWildcardQuery.TermBytesTermState` for the given segment.

  - ### getTermStatesForSegment

    protected List<PhraseWildcardQuery.TermBytesTermState> getTermStatesForSegment(LeafReaderContext leafReaderContext)
    Returns:
      The collected list of `PhraseWildcardQuery.TermBytesTermState` for the given segment; or null if this phrase term does not match in the given segment.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`